sccs-unget(1)

NAME
sccs-unget, unget - undo a previous get of an SCCS file

SYNOPSIS

/usr/ccs/bin/unget [-ns] [-rsid] s.filename...

DESCRIPTION

The unget utility undoes the effect of a get-e command executed before the creation of the pending delta.

If a directory name is used in place of the s.filename argument, the unget command applies to all s.files in that directory. Unreadable s.files produce an error; processing continues with the next file (if any). The use of `-' as the s.filename argument indicates that the names of files are to be read from the standard input, one s.file per line.

OPTIONS

The following options are supported:

-n  Retains the retrieved version, which is otherwise removed.

-s  Suppress display of the SCCS delta ID (SID).

-rsid
    When multiple versions are checked out, this option specifies which pending delta to abort. A diagnostic results if the specified SID is ambiguous, or if it is necessary but omitted from the command line.

-V  Prints the unget version number string and exists.

ENVIRONMENT VARIABLES

See environ(5) for descriptions of the following environment variables that affect the execution of unget: LANG, LC_ALL, LC_COLLATE, LC_CTYPE, LC_MESSAGES, and NLSPATH.

ATTRIBUTES

See attributes(5) for descriptions of the following attributes:

SEE ALSO

sccs(1), sccs-delta(1), sccs-get(1), sccs-help(1), sccs-prs(1), sccs-prt(1), sccs-rmdel(1), sccs-sact(1), sccs-sccsdiff(1), what(1), sccsfile(4), attributes(5), environ(5), standards(5)

DIAGNOSTICS

Use the SCCS help command for explanations (see sccs-help(1)).